and install a module specific to the system you are building on and is
not under control of the packaging system.
-If your are not using module-assisatant, you have to unpack
+If your are not using module-assistant, you have to unpack
/usr/src/omnibook-source.tar.bz2 to /usr/src.
-- Peter Soos <sp@osb.hu>, Wed, 25 Jan 2006 21:06:28 +0100
-- Julien Valroff <julien@kirya.net> Sun, 07 Oct 2007 10:38:07 +0200
-
omnibook (2:2.20070211+svn20100520-2) unstable; urgency=low
* Update my email address
- * Bump Debian policy to 3.9.1
+ * Bump Debian policy to 3.9.2
* Apply patch from Ryan Martin <kynalvarus@gmail.com> to fix
alignment issue with kernel >= 2.6.33
+ * Add omnibook-dkms package
+ * Rephrase package description
+ * Various packaging improvements
- -- Julien Valroff <julien@debian.org> Sat, 15 Jan 2011 10:12:15 +0100
+ -- Julien Valroff <julien@debian.org> Sat, 25 Jun 2011 07:49:52 +0200
omnibook (2:2.20070211+svn20100520-1) unstable; urgency=low
Source: omnibook
Section: misc
Priority: optional
-Maintainer: Julien Valroff <julien@debian.org>
-Build-Depends: debhelper (>> 7.0.0)
+Maintainer: Julien Valroff <julien@kirya.net>
+Build-Depends: debhelper (>= 8.0.0)
Build-Depends-Indep: bzip2
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
Homepage: http://omnibook.sf.net
Vcs-Git: git://omnibook.git.sourceforge.net/gitroot/omnibook/omnibook
Vcs-Browser: http://omnibook.git.sourceforge.net/
Package: omnibook-source
Architecture: all
-Depends: debhelper (>= 7.0.0), make, module-assistant, kernel-package, bzip2
-Description: Source for the omnibook driver
- This package contains the loadable kernel modules for the HP OmniBooks,
- Pavilions, Toshiba Satellites and some other laptops manufactured by
- Compal Electronics, Inc as ODM.
+Depends: ${misc:Depends}, module-assistant, debhelper (>= 7), make, bzip2
+Description: Source for the omnibook kernel module
+ The omnibook kernel module is intended to provide Linux kernel support for many
+ laptops such as:
+ * HP OmniBook and Pavilion
+ * Toshiba Satellite and Tecra which are not supported by the toshiba_acpi module
+ * Compal ACL00
+ * Many laptops manufactured by Compal Electronics, Inc as ODM
+ .
+ Supported features depends on the exact laptop model but may include:
+ * Enabling hotkey buttons
+ * Console (LCD display) blanking
+ * Battery status monitoring.
+ * Fan and fan policy support
+ * Touchpad control
+ * AC Adapter status monitoring
+ * External display monitors status monitoring and control
+ * LCD brightness (backlight) monitoring and control
+ * Docking station/port replicator status
+ * CPU temperature monitoring
+ * Mute LED monitoring and control
+ * Wifi and Bluetooth adapters monitoring and control
+ * Cooling method control
+ * CPU Throttling control
.
This module is only compatible with Linux kernels >= 2.6.9
.
- Kernel source is required to compile this module.
+ This package provides the source code for the acerhdf kernel module.
+ Kernel source or headers are required to compile this module.
+
+Package: omnibook-dkms
+Architecture: all
+Depends: ${misc:Depends}, dkms (>= 1.95)
+Description: omnibook kernel module sources for dkms
+ The omnibook kernel module is intended to provide Linux kernel support for many
+ laptops such as:
+ * HP OmniBook and Pavilion
+ * Toshiba Satellite and Tecra which are not supported by the toshiba_acpi module
+ * Compal ACL00
+ * Many laptops manufactured by Compal Electronics, Inc as ODM
+ .
+ Supported features depends on the exact laptop model but may include:
+ * Enabling hotkey buttons
+ * Console (LCD display) blanking
+ * Battery status monitoring.
+ * Fan and fan policy support
+ * Touchpad control
+ * AC Adapter status monitoring
+ * External display monitors status monitoring and control
+ * LCD brightness (backlight) monitoring and control
+ * Docking station/port replicator status
+ * CPU temperature monitoring
+ * Mute LED monitoring and control
+ * Wifi and Bluetooth adapters monitoring and control
+ * Cooling method control
+ * CPU Throttling control
+ .
+ This package provides the source code for the omnibook kernel module to be
+ built with dkms. Kernel sources or headers are required to compile this
+ module.
Source: omnibook
Section: misc
Priority: optional
-Maintainer: Julien Valroff <julien@kirya.net>
-Build-Depends: debhelper (>> 7.0.0)
-Standards-Version: 3.8.4
+Maintainer: Julien Valroff <julien@debian.org>
+Build-Depends: debhelper (>= 7)
+Standards-Version: 3.9.2
Package: omnibook-module-_KVERS_
Architecture: i386 amd64
-Recommends: _STEM_-image-_KVERS_
+Recommends: linux-image-_KVERS_
Provides: omnibook-module
Description: omnibook module for Linux (kernel _KVERS_)
This package contains the loadable kernel modules for the HP OmniBooks,
your own omnibook-module. The omnibook-source package has been
provided for use with the Debian kernel-package utility to produce a version
of omnibook-module for your kernel.
-
--- /dev/null
+PACKAGE_NAME="omnibook"
+PACKAGE_VERSION="__VERSION__"
+MAKE[0]="make -C ${kernel_source_dir} M=${dkms_tree}/${PACKAGE_NAME}/${PACKAGE_VERSION}/build"
+CLEAN="make -C ${kernel_source_dir} M=${dkms_tree}/${PACKAGE_NAME}/${PACKAGE_VERSION}/build clean"
+AUTOINSTALL=yes
+BUILT_MODULE_NAME[0]="omnibook"
+DEST_MODULE_LOCATION[0]=/extra
--- /dev/null
+*.c usr/src/omnibook-_VERSION_/
+*.h usr/src/omnibook-_VERSION_/
+Makefile usr/src/omnibook-_VERSION_/
+debian/dkms.conf usr/src/omnibook-_VERSION_/
--- /dev/null
+#!/bin/sh
+set -e
+
+CVERSION=`dpkg-query -W -f='${Version}' omnibook-dkms | awk -F "-" '{print $1}' | cut -d\: -f2`
+
+#DEBHELPER#
+
+case "$1" in
+ configure)
+ echo "Adding Module to DKMS build system"
+ dkms add -m omnibook -v $CVERSION > /dev/null
+ echo "Doing initial module build"
+ dkms build -m omnibook -v $CVERSION > /dev/null
+ echo "Installing initial module"
+ dkms install -m omnibook -v $CVERSION --force > /dev/null
+ echo "Done."
+ ;;
+esac
--- /dev/null
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+CVERSION=`dpkg-query -W -f='${Version}' omnibook-dkms | awk -F "-" '{print $1}' | cut -d\: -f2`
+
+case "$1" in
+ remove|upgrade)
+ echo "Removing all DKMS Modules"
+ dkms remove -m omnibook -v $CVERSION --all > /dev/null
+ echo "Done."
+ ;;
+esac
#!/usr/bin/make -f
-# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
-CFLAGS = -Wall -g
-
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
- CFLAGS += -O0
-else
- CFLAGS += -O2
-endif
-
# Name of the source package
psource := omnibook-source
# The short upstream name, used for the module source directory
sname := omnibook
-# prefix of the target package name
-PACKAGE=omnibook-module
-
-### end KERNEL SETUP
+UPSTREAM_VERSION := $(shell dpkg-parsechangelog|grep "^Version:"|cut -d" " -f2|rev|cut -d- -f2-|rev|cut -d':' -f2)
configure: configure-stamp
configure-stamp:
dh_testdir
touch configure-stamp
-
+ sed -e 's#_VERSION_#$(UPSTREAM_VERSION)#' < debian/omnibook-dkms.install.in > debian/omnibook-dkms.install
+ sed -e 's#_VERSION_#$(UPSTREAM_VERSION)#' < debian/dkms.conf.in > debian/dkms.conf
build-arch: configure-stamp build-arch-stamp
build-arch-stamp:
build-indep: configure-stamp build-indep-stamp
build-indep-stamp:
dh_testdir
-
touch build-indep-stamp
build: build-arch build-indep
clean:
dh_testdir
rm -f build-arch-stamp build-indep-stamp configure-stamp
-
+ -rm -f debian/dkms.conf debian/omnibook-dkms.install
dh_clean
install: DH_OPTIONS=
cp debian/compat debian/rules debian/changelog \
debian/control debian/copyright debian/*.modules.in \
debian/$(psource)/usr/src/modules/$(sname)/debian
- cp Makefile *.c *.h *.lds debian/$(psource)/usr/src/modules/$(sname)
+ cp Makefile *.c *.h debian/$(psource)/usr/src/modules/$(sname)
cd debian/$(psource)/usr/src && tar c modules | bzip2 -9 > $(sname).tar.bz2 && rm -rf modules
dh_install
# load default rules, including kdist, kdist_image, ...
-include $(MA_DIR)/include/common-rules.make
-ifndef KPKG_STEM
-STEM:=linux
-else
-STEM:=${KPKG_STEM}
-endif
-
kdist_clean: prep-deb-files
[ ! -f Makefile ] || $(MAKE) KSRC=$(KSRC) clean
dh_clean
-kdist_config: prep-deb-files
- sed -i -e 's/_STEM_/$(STEM)/g' debian/control
-
binary-modules: kdist_config prep-deb-files
dh_testroot
dh_prep
version=3
http://sf.net/omnibook/omnibook-(.*)\.tar\.gz
-